      real*8 function vli2singlet(r)
      implicit none
      real*8 r,v,sys_ss_pot_2
      integer nv
      logical lsetup
      data lsetup /.true./
      save lsetup
      
      nv = 1
      v = 0d0 
      if(lsetup) then 
           vli2singlet = sys_ss_pot_2(r,v,nv,lsetup)
           lsetup = .false.
      end if
      vli2singlet = sys_ss_pot_2(r,v,nv,lsetup)

      if(r.eq.0.d0)vli2singlet=5.47461527292105d0/3.d0

      return
      end  
